<?php

namespace jrosset\ExtendedMonolog;

use Psr\Log\LoggerInterface;
use Throwable;

/**
 * Describe a logger interface with method for managing exception directly
 */
interface ExceptionLoggerInterface extends LoggerInterface {
    /**
     * Adds a log record about an exception
     *
     * @param int       $level     The logging level (a Monolog or RFC 5424 level)
     * @param Throwable $exception The exception
     * @param array     $context   The log context
     */
    public function exception (int $level, Throwable $exception, array $context = []): void;
}