<?php

require_once __DIR__ . '/../vendor/autoload.php';

use jrosset\ExtendedMonolog\ExceptionLogger;
use jrosset\ExtendedMonolog\LogDirectoryHandler;
use Monolog\Formatter\LineFormatter;
use Monolog\Handler\StreamHandler;
use Monolog\Logger;

/** @noinspection PhpUnhandledExceptionInspection */
$logger = new ExceptionLogger(
    'test',
    [
        (new StreamHandler(STDOUT))
            ->setFormatter(
                new LineFormatter(
                    '[%datetime%] %level_name% : %message%',
                    'Y-m-d H:i:s',
                    true
                )
            ),
        new LogDirectoryHandler(__DIR__ . '/logs/'),
    ]
);

try {
    $logger->info('======= test =======' . PHP_EOL . 'START' . PHP_EOL);

    throw new RuntimeException('An unexpected error occurs');

    /** @noinspection PhpUnreachableStatementInspection */
    $logger->info('END' . PHP_EOL);
}
catch (Throwable $exception) {
    $logger->exception(Logger::ERROR, $exception);
}